/**********************************************************************
 * randomise.c                                               April 1997
 * Horms                                             horms@vergenet.net
 *
 * returns to stdout a psudo randomly chosen line form stdin
 *
 * Released under the terms of the GNU general public licence
 **********************************************************************/

#include "stdio.h"
#include "time.h"
#include "stdlib.h"

/*#define VERBOSE*/
#define LINE_LENGTH 4096

int main(int argc, char **argv){
	char string[LINE_LENGTH];
	char kept[LINE_LENGTH];
	int i;

	srand(time(NULL));
	
	if(fgets(kept, LINE_LENGTH, stdin) == NULL){
		exit(1);
	}
	else{
		i=1;
#ifdef VERBOSE
		puts(kept);
#endif
	}

	while(fgets(string, LINE_LENGTH, stdin) != NULL){
#ifdef VERBOSE
		puts(string);
#endif
		if((rand()%(++i))==0){
			strcpy(kept, string);
#ifdef VERBOSE
			printf("******** Channging Kept. Kept now:%s", kept);
#endif
		}
	}

	printf("%s",kept);
	return(0);
}
